Cassandra.AsyncProcessor (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.TBaseAsyncProcessor<I>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor<I>

- All Implemented Interfaces:
    org.apache.thrift.TProcessor
  Enclosing class:
    Cassandra

      public static class Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>
      extends org.apache.thrift.TBaseAsyncProcessor<I>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.AsyncProcessor.add<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.atomic_batch_mutate<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.batch_mutate<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.cas<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_cluster_name<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_keyspace<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_keyspaces<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_local_ring<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_partitioner<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_ring<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_schema_versions<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_snitch<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_splits<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_splits_ex<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_token_map<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.describe_version<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.execute_cql_query<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.execute_cql3_query<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.execute_prepared_cql_query<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.execute_prepared_cql3_query<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.get<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.get_count<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.get_indexed_slices<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.get_multi_slice<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.get_paged_slice<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.get_range_slices<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.get_slice<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.insert<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.login<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.multiget_count<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.multiget_slice<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.prepare_cql_query<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.prepare_cql3_query<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.remove<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.remove_counter<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.set_cql_version<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.set_keyspace<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.system_add_column_family<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.system_add_keyspace<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.system_drop_column_family<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.system_drop_keyspace<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.system_update_column_family<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.system_update_keyspace<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.trace_next_query<I extends Cassandra.AsyncIface>`
    `static class` | `Cassandra.AsyncProcessor.truncate<I extends Cassandra.AsyncIface>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `AsyncProcessor(I iface)`
    `protected` | `AsyncProcessor(I iface, java.util.Map<java.lang.String,org.apache.thrift.AsyncProcessFunction<I,? extends org.apache.thrift.TBase,?>> processMap)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.thrift.TBaseAsyncProcessor

      `getProcessMapView, process, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncProcessor

          public AsyncProcessor(I iface)

    - #### AsyncProcessor

          protected AsyncProcessor(I iface,
                                   java.util.Map<java.lang.String,org.apache.thrift.AsyncProcessFunction<I,? extends org.apache.thrift.TBase,?>> processMap)

Copyright © 2018 The Apache Software Foundation